CABLE_IS_40WIRE(9)

NAME
cable_is_40wire - 40/80/SATA decider

SYNOPSIS

int cable_is_40wire(struct ata_port * ap);

ARGUMENTS

ap
    port to consider

DESCRIPTION

This function encapsulates the policy for speed management in one place. At the moment we don't cache the result but there is a good case for setting ap->cbl to the result when we are called with unknown cables (and figuring out if it impacts hotplug at all).

Return 1 if the cable appears to be 40 wire.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT